#include <stdio.h>

using namespace std;

int main()
{
    int N,K;
    scanf("%d%d", &N, &K);
    int a[N];
    int br;
    for(int i=0; i<N; i++)
    {
        scanf("%d", &a[i]);
        if (a[i] == K)
            br = i;
    }
    printf("%d", a[(br+1)%N]);


    return 0;
}